Статус темы:
Закрыта.
  1. xopoIIIuu Пользователь

    Регистрация:
    22.04.15
    Сообщения:
    234
    Симпатии:
    51
    Пол:
    Мужской
    В общем, стал замечать, что бывает сервер падает с ошибкой:
    Код:
    FATAL ERROR (shutting down): SZ_GetSpace: overflow without FSB_ALLOWOVERFLOW set on Server Datagram
    На разных форумах, разные советы.
    1 совет - отключение логов (#кснетюа)
    2 совет - sv_minrate 0 (Олени)
    3 совет - запрет спектров (амх-х)
    4 совет - мало оперативной памяти (aghl)
    5 совет - плагины, которые отсылают сообщение по MSG_ONE... каналу нужно убрать (У меня мод такой, конфликт, из-за которого сервер падал с ошибкой с переполнением канала из-за MSG_ONE я убрал) - почти на всех писали об этом.

    Возможно вы сможете мне помочь в решении этого вопроса.

    Код:
    Список загруженных модулей:
    Наименовани  Верси  Автор           Состо
    CStrike                 1.8.2-dev-  AMX Mod X Dev Team   running  
    Fun                     1.8.2       AMX Mod X Dev Team   running  
    Engine                  1.8.2       AMX Mod X Dev Team   running  
    FakeMeta                1.8.2       AMX Mod X Dev Team   running  
    Ham Sandwich            1.8.2       AMX Mod X Dev Team   running  
    MySQL                   1.8.2       AMX Mod X Dev Team   run

    Скрыл показ meta list у себя на сервере, но думаю и так понятно будет. Последние версии стоят.
    Код:
    linux addons/relocalizebugfix/relocalizebugfix_mm_i386.so
    linux addons/reunion/reunion_mm_i386.so
    linux addons/amxmodx/dlls/amxmodx_mm_i386.so
    linux addons/ultimate_unprecacher/ultimate_unprecacher_mm_i386.so
    linux addons/VoiceTranscoder/VoiceTranscoder.so

    Код:
    sv_maxrate                    "100000" // максимальное колличество байт в секунду, которое может быть передано сервером (0 == без ограничения)
    sv_minrate                    "25000"     // минимальное колличество байт в секунду, которое может быть передано сервером (0 == без ограничения)
    sv_maxupdaterate             "102"     // ограничивает частоту обновлений сервера. Чем выше значение, тем больше пакетов будет послано клиентам
    sv_minupdaterate             "30"     // минимальное количество обновлений - количество пакетов
    sys_ticrate                 "1100"    // FPS сервера (Стандарт - 1100)
    sv_maxunlag                    "0.5"
    sv_unlag                     "1"
    sv_timeout                    "30"

    Стоит jailbreak мод от фридума, исправленный и модифицированный мною. Список плагинов выкладывать не вижу смысла, ибо по названиям вы ни чего не поймёте, нужно детально объяснять за что, отвечает каждый...
    Из-за чего может проявляться данная ошибка? И какие есть способы решения её? Возможно кто-то уже с этим сталкивался. Раньше мне помогало отключение спектров (как советовали на amx-x), но сейчас... данная ошибка снова проявляется, но не так часто.
     
    Последнее редактирование: 18.07.16
  2. xopoIIIuu Пользователь

    Регистрация:
    22.04.15
    Сообщения:
    234
    Симпатии:
    51
    Пол:
    Мужской
    Почитал тему об експлоитах на других форумах за 2014 год, нашел cid_AVSMP = 5 - выставил и у себя в реунион, понаблюдаю... но думаю это не повлияет на данную ошибку.
     
  3. xopoIIIuu Пользователь

    Регистрация:
    22.04.15
    Сообщения:
    234
    Симпатии:
    51
    Пол:
    Мужской
    Тему можно закрыть. Выставил cid_AVSMP = 5 - проблема решилась, сервер больше не падает с этой ошибкой.
     
Статус темы:
Закрыта.